<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RoomList StructType
 * @subpackage Structs
 */
class RoomList extends AbstractStructBase
{
    /**
     * The RoomListRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_RoomListRQ
     */
    public $RoomListRQ;
    /**
     * Constructor method for RoomList
     * @uses RoomList::setRoomListRQ()
     * @param \StructType\JP_RoomListRQ $roomListRQ
     */
    public function __construct(\StructType\JP_RoomListRQ $roomListRQ = null)
    {
        $this
            ->setRoomListRQ($roomListRQ);
    }
    /**
     * Get RoomListRQ value
     * @return \StructType\JP_RoomListRQ|null
     */
    public function getRoomListRQ()
    {
        return $this->RoomListRQ;
    }
    /**
     * Set RoomListRQ value
     * @param \StructType\JP_RoomListRQ $roomListRQ
     * @return \StructType\RoomList
     */
    public function setRoomListRQ(\StructType\JP_RoomListRQ $roomListRQ = null)
    {
        $this->RoomListRQ = $roomListRQ;
        return $this;
    }
}
